Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class ConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.openfire.clearspace.ConnectionException

All Implemented Interfaces:
  Serializable

    public class ConnectionException

extends Exception

Thrown when an exception occurs connecting to CS.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ConnectionException.ErrorType`

Constructor Summary
`ConnectionException(String s, ConnectionException.ErrorType errorType)`
`ConnectionException(String s, Throwable throwable, ConnectionException.ErrorType errorType)`
`ConnectionException(Throwable throwable, ConnectionException.ErrorType errorType)`

Method Summary
`ConnectionException.ErrorType` | `getErrorType()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionException

    public ConnectionException(String s,
                               Throwable throwable,
                               ConnectionException.ErrorType errorType)

### ConnectionException

    public ConnectionException(String s,
                               ConnectionException.ErrorType errorType)

### ConnectionException

    public ConnectionException(Throwable throwable,
                               ConnectionException.ErrorType errorType)

Method Detail

### getErrorType

    public ConnectionException.ErrorType getErrorType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.